Package org.eclipse.help.internal

# Class CachedEntityResolver

java.lang.Object
org.eclipse.help.internal.CachedEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class CachedEntityResolver extends Object implements EntityResolver

## Constructor Summary

Constructors
Constructor
Description
`CachedEntityResolver()`

## Method Summary

Modifier and Type
Method
Description
`InputSource`
`resolveEntity(String publicId, String systemId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachedEntityResolver

public CachedEntityResolver()

## Method Details

### resolveEntity

public InputSource resolveEntity(String publicId, String systemId)

Specified by:
  `resolveEntity` in interface `EntityResolver`